#
# spec file for package xcnf (Version 0.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xcnf
Release:      13
Copyright:    1997, Martin Scherbaum, S.u.S.E. GmbH
Group: 
Provides:     xcnf 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.1
Summary:      Make settings in X
Source: xcnf-0.1.tar.gz
Patch: xcnf-0.1.dif
%description
With xcnf you may take some settings under X:
- mouse
- system beep
- builtin X screen saver
The settings may be stored in ~/.Xcnf and can be recalled every time starting X
by calling xcnfset e.g. in ~/.xinitrc
Documentation: 
xcnf --help
xcnfset --help
/usr/doc/packages/xcnf/README 

Authors:
--------
    Martin Scherbaum <maddin@suse.de>

%prep
%setup
%patch
%build
%install
XBIN=/usr/X11R6/bin
XCNF=/usr/X11R6/lib/xcnf
( cd tcl; ./mkindex )
install -d -m 755 $XCNF
install -m 644 tcl/*.tcl tcl/tclIndex $XCNF
install -d -m 755 $XBIN
install -m 755 ./bin/xcnf    $XBIN
install -m 755 ./bin/xcnfset $XBIN
Check
%files
%docdir /usr/X11R6/man
%dir /usr/X11R6/lib/xcnf
/usr/X11R6/bin/xcnf
/usr/X11R6/bin/xcnfset
/usr/X11R6/lib/xcnf/error.tcl
/usr/X11R6/lib/xcnf/functions.tcl
/usr/X11R6/lib/xcnf/rcfile.tcl
/usr/X11R6/lib/xcnf/settings.tcl
/usr/X11R6/lib/xcnf/tclIndex
/usr/X11R6/lib/xcnf/variables.tcl
/usr/X11R6/lib/xcnf/xbeep.tcl
/usr/X11R6/lib/xcnf/xbeepcore.tcl
/usr/X11R6/lib/xcnf/xcnf.tcl
/usr/X11R6/lib/xcnf/xmouse.tcl
/usr/X11R6/lib/xcnf/xmousecore.tcl
/usr/X11R6/lib/xcnf/xscreen.tcl
/usr/X11R6/lib/xcnf/xscreencore.tcl
%doc README

